using GrapeCity.Documents.DX.Direct2D;
using GrapeCity.Documents.Imaging;
using GrapeCity.Documents.Svg;
using System.Data.SqlTypes;
using System.Diagnostics;
using System.Drawing;
using System.IO;
using System.Runtime.Intrinsics.Arm;

var svgString =
                "<svg width='150' height='400' >" +
                "<ellipse cx='200' cy='70' rx='85' ry='55' />" +
                "</svg>";
using var svg = GcSvgDocument.FromString(svgString);

// Render the SVG image and a border around it:
var bmp = new GcBitmap(1024, 1024, false);
using var g = bmp.CreateGraphics(Color.White);


//Append Gradient
var svgDef = new SvgDefsElement();
var svgLinearGradient = new SvgLinearGradientElement() { ID = "grad1", X1 = new SvgLength(0,SvgLengthUnits.Percentage), Y1 = new SvgLength(0, SvgLengthUnits.Percentage), X2 = new SvgLength(0, SvgLengthUnits.Percentage), Y2 = new SvgLength(100, SvgLengthUnits.Percentage) };
svgLinearGradient.Children.Add(new SvgStopElement() { Offset = 0, StopColor = new SvgColor(Color.Red), StopOpacity = 1 });
svgLinearGradient.Children.Add(new SvgStopElement() { Offset = 100, StopColor = new SvgColor(Color.Yellow), StopOpacity = 1 });
svgDef.Children.Add(svgLinearGradient);
svg.RootSvg.Children.Add(svgDef);

//Apply Gradient on a existing element
var ellipse =svg.RootSvg.Children[0] as SvgEllipseElement;
ellipse.Fill = new SvgPaint(new SvgReference("grad1"));

//Draw and Save SVG
g.DrawSvg(svg, new PointF(26, 96));
bmp.SaveAsPng("Result.png");

//Open generated file
ProcessStartInfo psi = new ProcessStartInfo() { UseShellExecute = true, FileName = "Result.png" };
Process.Start(psi);


